<?php

/**
 * @var \Illuminate\Database\Eloquent\Collection $tg
 */

use kernel\modules\user\models\User;
use Itguild\EloquentTable\ViewEloquentTable;
use Itguild\EloquentTable\ViewJsonTableEloquentModel;
use kernel\IGTabel\btn\DangerBtn;
use kernel\IGTabel\btn\PrimaryBtn;
use kernel\IGTabel\btn\SuccessBtn;

$table = new ViewEloquentTable(new ViewJsonTableEloquentModel($tg, [
    'params' => ["class" => "table table-bordered", "border" => "2"],
    'baseUrl' => "/admin/tg-bot",
]));
$table->beforePrint(function () use ($tg) {
    $btn = PrimaryBtn::create("Список", "/admin/tg-bot")->fetch();
    $btn .= SuccessBtn::create("Редактировать", "/admin/tg-bot/update/" . $tg->id)->fetch();
    $btn .= DangerBtn::create("Удалить", "/admin/tg-bot/delete/" . $tg->id)->fetch();
    return $btn;
});
$table->rows([
    'status' => (function ($data) {
        return \app\modules\tgbot\models\Tgbot::getStatus()[$data];
    })
]);
$table->create();
$table->render();